version: 2

models:
  
  - name: S_LINEITEM_S_EXA_STAGE_R_Lineitem_U_DBT
    description: ""
    columns:
        - name: lineitem_h
          type: HASHTYPE(16 BYTE)
          description:  |+ 
            Hash Key 
    
        - name: hkdiff
          type: HASHTYPE(16 BYTE)
          description:  |+ 
            Hash Key 
    
        - name: L_ORDERKEY
          type: DECIMAL(18,0)
          description:  |+ 
             
    
        - name: L_PARTKEY
          type: DECIMAL(18,0)
          description:  |+ 
             
    
        - name: L_SUPPKEY
          type: DECIMAL(18,0)
          description:  |+ 
             
    
        - name: L_LINENUMBER
          type: DECIMAL(18,0)
          description:  |+ 
             
    
        - name: L_QUANTITY
          type: DECIMAL(18,0)
          description:  |+ 
             
    
        - name: L_EXTENDEDPRICE
          type: DOUBLE PRECISION
          description:  |+ 
             
    
        - name: L_DISCOUNT
          type: DOUBLE PRECISION
          description:  |+ 
             
    
        - name: L_TAX
          type: DOUBLE PRECISION
          description:  |+ 
             
    
        - name: L_RETURNFLAG
          type: VARCHAR(2000000) UTF8
          description:  |+ 
             
    
        - name: L_LINESTATUS
          type: VARCHAR(2000000) UTF8
          description:  |+ 
             
    
        - name: L_SHIPDATE
          type: DATE
          description:  |+ 
             
    
        - name: L_COMMITDATE
          type: DATE
          description:  |+ 
             
    
        - name: L_RECEIPTDATE
          type: DATE
          description:  |+ 
             
    
        - name: L_SHIPINSTRUCT
          type: VARCHAR(2000000) UTF8
          description:  |+ 
             
    
        - name: L_SHIPMODE
          type: VARCHAR(2000000) UTF8
          description:  |+ 
             
    
        - name: L_COMMENT
          type: VARCHAR(2000000) UTF8
          description:  |+ 
             
    